SLA Report admin API Resource

Abstract class for REST webservices

GET /admin/sla/{fileId}

Get binary representation of given file

Try it out!

Request Parameters
name type description default constraints
fileId path The unique identifier of report    
Response Body
media type data type description
application/pdf object Binary representation of file

GET /admin/sla/list/json

Get list of paths to SLA reports with it's timestamp

Try it out!

Request Parameters
name type description default constraints
filter query Example of response:

{"total":1,"list":[{"uuid":"file uuid","timestamp":"2019-06-28 09:36:51.030047+02",startDate":"2019-06-28 09:36:51.030047+02",endDate":"2019-06-28 09:36:51.030047+02","type":1}
   
limit query 25 long
offset query 0 long
sortField query    
Response Body
media type data type description
application/json object (JSON)